System.ServiceModel 4.0.0.0 System.Object

This class is commonly used while implementing custom encoders or custom transport channels.

Many indigo1 features require the use of buffers, which are expensive to create and destroy. You can use the class to manage a buffer pool. The pool and its buffers are created when you instantiate this class and destroyed when the buffer pool is reclaimed by garbage collection. Every time you need to use a buffer, you take one from the pool, use it, and return it to the pool when done. This process is much faster than creating and destroying a buffer every time you need to use one.

- Constructor
  4.0.0.0

  Because this constructor is protected, you can only call it from a derived class.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void To be added.

  Releases the buffers currently cached in the manager.

- Method
  4.0.0.0
  System.ServiceModel.Channels.BufferManager `` ``

  This method creates a new buffer pool with as many buffers as can be created.

  Creates a new BufferManager with a specified maximum buffer pool size and a maximum size for each individual buffer in the pool.

  Returns a object with the specified parameters.

  The maximum size of the pool. The maximum size of an individual buffer.
- Method
  4.0.0.0
  System.Void ``

  The buffer is returned to the pool and is available for re-use.

  Returns a buffer to the pool.

  A reference to the buffer being returned.
- Method
  4.0.0.0
  System.Byte[] ``

  If successful, the system returns a byte array buffer of at least the requested size.

  Gets a buffer of at least the specified size from the pool.

  A byte array that is the requested size of the buffer.

  The size, in bytes, of the requested buffer.